<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="{{ url_for('static', filename='cartola.png') }}">
    <title>Cartola Analiticys</title>
    
    <style>
    body, p{
        padding: 0px;
        margin: 0px;
        list-style: none;
        height: 100%;
        width: 100%;
        font-family: Arial, Helvetica, sans-serif;
    }
    a{
        text-decoration: none;
        color: #f1f1f1;
        font-size: 1.5em;
        font-weight: 600;
    }
    body{
        display: flex;
    }
    .imgBackground{
        width: 100px;
        height: 80px;
        
    }
    .homeImg{
        margin: 0;
        width: 100vw;
        height: 100vh;
        background-color: black;
    }
    header{
        z-index: 2;
        display: flex;
        position: absolute;
        top:0;
        left:5%;
        width: 90%;
        height: 8vh;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;
        padding: 10px;
        background-color: rgba(0, 0, 0, 0);
        border-bottom: 1px solid #009879;
    }
    .menu{
        display: flex;
    }
    .menu li{
        margin-left: 10px;
    }
    .menu li a{
        display: block;
        padding: 10px;
    
    }
    .menu li a:hover{
        color: #009879;
    }
    .container{
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
    }

    .header > a{
        text-decoration: none;
        font-weight: 500;
        font-size: 3em;
        color:#f1f1f1;
        text-align: center;

    }
    .header > a:hover{
        color:#009879;
    }
    .button{
        position: absolute;
        display: flex;
        flex-direction: column;
        align-self: center;
        height: 100%;
        width: 100%;
        top:0;
        left: 0;
    }
    .button > input {
        z-index: 1;
        width: 20%;
        height: 60px;
        outline: none;
        text-align: center;
        align-self: center;
        margin-top: 5vh;
        font-size: 1.6em;
        border:3px solid;
        border-radius: 10px;
        background-color: rgba(0, 0, 0, 0);
        color:white

    }
    .button > input:hover {
        border-color: #009879;
        color:#009879;
        background-color: rgba(224, 228, 224, 0.65);
    }
    .sobre{
        width: 80%;
        height: 100vh;
    }
    .homeImg > img{
        width: 100%;
        height: 100%;
    }
    .titleDiv{
        margin:0 auto;
        margin-top: 25vh;
    }
    .title{
        color:white;
        font-size: 4.5em;
        font-weight: 200;
    }
    .titleText {
        color: white;
        text-align: center;
        font-size: 1.2em;
    }
    .jogadores-container{
        position:absolute;
        margin-left: 35vw; 
        background-color: #f0f3f5;
        margin-top: 15vh;
        padding: 20px ;
        display: block;
        width: 30vw;
        height: auto;
        min-height:70vh;
        border: 1px solid #ccc;
        border-radius: 10px;
        -webkit-box-shadow: 9px 7px 5px rgba(90, 85, 85, 0.77);
        -moz-box-shadow:    9px 7px 5px rgba(83, 78, 78, 0.77);
        box-shadow:         9px 7px 5px rgba(78, 76, 76, 0.77);
    }
    .dados_jogador {
          font-size: 0.65em;
    }
    .jogador_dado{
        font-family: arial, sans-serif;
        border-collapse: collapse;
        width: 0%;
        margin:0 auto;
        margin-top:50px;
    }
    .procurar{
        width:60%;
        height: 40px;
        border-radius: 5px 5px 5px 5px;
        margin: 0px;
    }
    .submit{
        width:15%;
        height: 40px;
        border-radius: 5px 5px 5px 5px;
        margin: 0px;
    }
    .myteam > ul {
        margin-top: 30px;
        overflow-y: scroll;
        align-items: center;
        height: 60vh;
        border: 1px solid rgb(12, 11, 11);
        border-radius: 2px;
        
    }
    .myteam > ul > h3{
        text-align: center;
    }
    .myteam > ul > li  > button{
        float: right;
        outline: none;
        background-color: rgb(17, 13, 13);
        border-radius: 5px;
        color:red;
        border-color: red;
    }
    .myteam > ul > li  > h4{
        font-size: 0.8em;
    }
    .myteam > ul::-webkit-scrollbar {
        display: none;
    }
    .myteam > ul {
        list-style: none;
        padding: 0;
        align-items: center;
        align-self: center;
        -ms-overflow-style: none;  /* IE and Edge */
        scrollbar-width: none;  /* Firefox */

    }
    .myteam > ul > li{
        font-size: 0.8em;
        padding: 10px;
        margin: 0 auto;
        justify-content: center;
        width: 80%;
        border: 1px solid #ccc;
        border-radius: 2px;
    }
    .myteam > ul > h3 > button{
        background-color: white;
        border-radius: 5px;
        font-size: 0.9em;
        border-color: blue;

    }
    
    </style>

</head>
<body>
    <div class="container">
     <section class="homeImg">
         
        <img src="{{ url_for('static', filename='cartolaCapa.jpg') }}">  
        <header class="header">
            <a href="/"><img src="../static/img/favicon-dicas-cartola-fc.png" style="width: 50px;"></a>
            <nav>
                <ul class="menu">
                    <li><a href="https://globoesporte.globo.com/cartola-fc/">Cartola</a></li>
                    <li><a href="https://github.com/henriquepgomide/caRtola">Dados</a></li>
                </ul>
            </nav>
        </header>
        
        <div class="button">
            <div class="jogadores-container">

                <form action="/jogadorInfo">
                    <img src="../static/img/foto-jogador.svg" style="width: 35px;vertical-align: bottom;margin-right: 5px;">
                    <input class ="procurar" type="search" id='texto' list="historico" name="nome" placeholder="Pesquisar"/>
                    <input type="submit" class="submit" value=">" onclick="setJogador()"/>
    
                    <datalist id="historico">
                        {% for jogador in jogadores :%}
                            <option value="{{jogador.nome}}"></option>
                        {% endfor%}
                    </datalist>
                </form>    
                <form class="myteam">
                    <ul>
                        <h3>Meu Time | Cartoletas: {{preco}}                               
                            <button onclick="readdJogador()">voltar</button></h3>
                        {% for jogador in MyTeam %}
                        {% set i = loop %}
                        
                        <li><button class="jogador{{i.index}}" onclick="removeJogador(event)">X</button><h4 class="jogador{{i.index}}">{{jogador.nome}}</h4></li>
                        {% endfor%}
                    </ul>
    
                </form>
            </div>
        </div>
          </div>  
            
               
    </section>
     
    </div>
    <script>
        
       function setJogador(){
            tmp = document.getElementById('texto').value;
            fetch(`${window.origin}/jogador/set/${tmp}`, {
                method: "POST",
                credentials: "include",
                cache: "no-cache",
              })
              .catch(function(error) {
                console.log("Fetch error: " + error);
            });
            
          }
        function removeJogador(event){
        text = event.currentTarget.className
        jogador = document.getElementsByClassName(text);
        fetch(`${window.origin}/myteam/remove/${jogador[1].innerHTML}`, {
            method: "POST",
            credentials: "include",
            cache: "no-cache",
            })
            .catch(function(error) {
            console.log("Fetch error: " + error);
        });
        }
        function readdJogador(event){
        fetch(`${window.origin}/myteam/readd`, {
            method: "POST",
            credentials: "include",
            cache: "no-cache",
            })
            .catch(function(error) {
            console.log("Fetch error: " + error);
        });
        }
        function addJogador(){ 
        jogador = document.getElementById('texto').value; 
        fetch(`${window.origin}/myteam/add/${jogador}`, {
            method: "POST",
            credentials: "include",
            cache: "no-cache",
        })
        .catch(function(error) {
            console.log("Fetch error: " + error);
        });
        }  
    </script>
</body>
</html>